Skip to main content
POST
/
counterparties
Create Counterparty
curl --request POST \
  --url https://api.otim.com/v0/counterparties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entityId": "<string>",
  "name": "<string>",
  "type": "wallet",
  "bankName": "<string>",
  "accountNumber": "<string>",
  "routingNumber": "<string>",
  "walletAddress": "<string>",
  "chain": "ethereum"
}
'
{
  "id": "cpty_01JA1B2C3D4E5F6G7H8J9K0L",
  "entityId": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
  "name": "Acme Corp",
  "type": "bank_account",
  "bankName": "Chase",
  "accountNumber": "****6789",
  "routingNumber": "021000021",
  "walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
  "chain": "base",
  "createdAt": "2025-01-15T12:00:00Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Body

application/json
entityId
string
required

The ID of the Entity this Counterparty belongs to.

name
string
required

A display name for the Counterparty.

type
enum<string>
required

The type of Counterparty.

Available options:
wallet,
bank_account
bankName
string

Name of the bank. Required when type is bank_account.

accountNumber
string

Bank account number. Required when type is bank_account.

routingNumber
string

Bank routing number. Required when type is bank_account.

walletAddress
string

Wallet address. Required when type is wallet.

chain
enum<string>

Chain for the wallet. Required when type is wallet.

Available options:
ethereum,
base,
arbitrum,
optimism,
polygon

Response

Counterparty created.

id
string
Example:

"cpty_01JA1B2C3D4E5F6G7H8J9K0L"

entityId
string
Example:

"ent_01JA1B2C3D4E5F6G7H8J9K0L"

name
string
Example:

"Acme Corp"

type
enum<string>
Available options:
wallet,
bank_account
Example:

"bank_account"

bankName
string | null
Example:

"Chase"

accountNumber
string | null
Example:

"****6789"

routingNumber
string | null
Example:

"021000021"

walletAddress
string | null
Example:

"0x1234567890abcdef1234567890abcdef12345678"

chain
string | null
Example:

"base"

createdAt
string<date-time>
Example:

"2025-01-15T12:00:00Z"